﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraMessageBox;
using Infragistics.Win;

namespace WinMNessageBoxManagerWithCheckBox
{
    public partial class Form1 : Form, Infragistics.Win.IUIElementCreationFilter
    {
        //use to save the checkState of the checkbox
        CheckState currentCheckState;
        UltraMessageBoxInfo messageinfo = new UltraMessageBoxInfo();

        public Form1()
        {
            InitializeComponent();

            ultraMessageBoxManager1.CreationFilter = this;
           
        }

        public void AfterCreateChildElements(Infragistics.Win.UIElement parent)
        {
            FooterAreaUIElement footer;
            ImageAndTextUIElementEx textEx;
            Infragistics.Win.ImageAndTextUIElement.ImageAndTextDependentTextUIElement text;

            if (parent is FooterAreaUIElement)
            {
                footer = (FooterAreaUIElement)parent;

                //resize the footer
                footer.Rect = new Rectangle(new Point(footer.Rect.X, 118),
                new Size(footer.Rect.Width, 25));

                //move the inner text element in the new footer's rectangle
                textEx = footer.GetDescendant(typeof(ImageAndTextUIElementEx))
                    as ImageAndTextUIElementEx;
                if (textEx != null)
                    textEx.Rect = new Rectangle(new Point(footer.Rect.X+15, footer.Rect.Y),
                        footer.Rect.Size);

                //create the checkbox
                CheckBoxUIElement checkbox = new CheckBoxUIElement(parent);

                //give its checkstate
                checkbox.CheckState = currentCheckState;

                //add the checkbox element to the footer
                footer.ChildElements.Add(checkbox);

                //adjust the checkbox in the footer
                checkbox.Rect = new Rectangle(new Point(5, 121), new Size(15, 15));

                //attach click event
                checkbox.ElementClick += new UIElementEventHandler(checkbox_ElementClick);


            }
        }

        void checkbox_ElementClick(object sender, UIElementEventArgs e)
        {
            CheckBoxUIElement cb = (CheckBoxUIElement)e.Element;
            currentCheckState = cb.CheckState;
        }
        public bool BeforeCreateChildElements(Infragistics.Win.UIElement parent)
        {
            return false;
        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
            messageinfo.Footer = " Dont show this again";
            ultraMessageBoxManager1.ShowMessageBox(messageinfo);
        }
    }
}
